ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

Vectorise.Builtins.Initialise

Contents

- Initialisation

Synopsis

- initBuiltins :: DsM Builtins
- initBuiltinVars :: Builtins -> DsM [(Var, Var)]

# Initialisation

initBuiltins :: DsM Builtins

Create the initial map of builtin types and functions.

initBuiltinVars :: Builtins -> DsM [(Var, Var)]

Get the mapping of names in the Prelude to names in the DPH library.